Index: kern/kern_mac.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/kern_mac.c,v
retrieving revision 1.71
diff -u -r1.71 kern_mac.c
--- kern/kern_mac.c	9 Dec 2002 03:44:27 -0000	1.71
+++ kern/kern_mac.c	12 Dec 2002 03:15:22 -0000
@@ -3020,7 +3020,7 @@
 	struct ucred *tcred;
 	int error;
 
-	error = copyin(SCARG(uap, mac_p), &mac, sizeof(mac));
+	error = copyin(uap->mac_p, &mac, sizeof(mac));
 	if (error)
 		return (error);
 
@@ -3203,7 +3203,7 @@
 
 	buffer = malloc(mac.m_buflen, M_MACTEMP, M_WAITOK | M_ZERO);
 	mtx_lock(&Giant);				/* VFS */
-	error = fget(td, SCARG(uap, fd), &fp);
+	error = fget(td, uap->fd, &fp);
 	if (error)
 		goto out;
 
@@ -3405,7 +3405,7 @@
 
 	mtx_lock(&Giant);				/* VFS */
 
-	error = fget(td, SCARG(uap, fd), &fp);
+	error = fget(td, uap->fd, &fp);
 	if (error)
 		goto out;
 
@@ -3583,7 +3583,7 @@
 	char target[MAC_MAX_POLICY_NAME];
 	int error;
 
-	error = copyinstr(SCARG(uap, policy), target, sizeof(target), NULL);
+	error = copyinstr(uap->policy, target, sizeof(target), NULL);
 	if (error)
 		return (error);
 
@@ -3593,7 +3593,7 @@
 		if (strcmp(mpc->mpc_name, target) == 0 &&
 		    mpc->mpc_ops->mpo_syscall != NULL) {
 			error = mpc->mpc_ops->mpo_syscall(td,
-			    SCARG(uap, call), SCARG(uap, arg));
+			    uap->call, uap->arg);
 			goto out;
 		}
 	}
Index: kern/kern_module.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/kern_module.c,v
retrieving revision 1.35
diff -u -r1.35 kern_module.c
--- kern/kern_module.c	26 Jun 2002 03:00:40 -0000	1.35
+++ kern/kern_module.c	12 Dec 2002 03:15:22 -0000
@@ -259,7 +259,7 @@
 	td->td_retval[0] = -1;
 
 	MOD_SLOCK;
-	if (SCARG(uap, modid) == 0) {
+	if (uap->modid == 0) {
 		mod = TAILQ_FIRST(&modules);
 		if (mod)
 			td->td_retval[0] = mod->id;
@@ -267,7 +267,7 @@
 			error = ENOENT;
 		goto done2;
 	}
-	mod = module_lookupbyid(SCARG(uap, modid));
+	mod = module_lookupbyid(uap->modid);
 	if (mod == NULL) {
 		error = ENOENT;
 		goto done2;
@@ -293,7 +293,7 @@
 	td->td_retval[0] = -1;
 
 	MOD_SLOCK;
-	mod = module_lookupbyid(SCARG(uap, modid));
+	mod = module_lookupbyid(uap->modid);
 	if (mod == NULL) {
 		error = ENOENT;
 	} else {
@@ -328,7 +328,7 @@
 	char *name;
 
 	MOD_SLOCK;
-	mod = module_lookupbyid(SCARG(uap, modid));
+	mod = module_lookupbyid(uap->modid);
 	if (mod == NULL) {
 		MOD_SUNLOCK;
 		return (ENOENT);
@@ -338,7 +338,7 @@
 	name = mod->name;
 	data = mod->data;
 	MOD_SUNLOCK;
-	stat = SCARG(uap, stat);
+	stat = uap->stat;
 
 	/*
 	 * Check the version of the user's structure.
@@ -380,7 +380,7 @@
 	char name[MAXMODNAME];
 	module_t mod;
 
-	if ((error = copyinstr(SCARG(uap, name), name, sizeof name, 0)) != 0)
+	if ((error = copyinstr(uap->name, name, sizeof name, 0)) != 0)
 		return (error);
 
 	MOD_SLOCK;
Index: kern/kern_time.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/kern_time.c,v
retrieving revision 1.86
diff -u -r1.86 kern_time.c
--- kern/kern_time.c	3 Nov 2002 02:39:42 -0000	1.86
+++ kern/kern_time.c	12 Dec 2002 03:15:24 -0000
@@ -159,12 +159,12 @@
 {
 	struct timespec ats;
 
-	if (SCARG(uap, clock_id) != CLOCK_REALTIME)
+	if (uap->clock_id != CLOCK_REALTIME)
 		return (EINVAL);
 	mtx_lock(&Giant);
 	nanotime(&ats);
 	mtx_unlock(&Giant);
-	return (copyout(&ats, SCARG(uap, tp), sizeof(ats)));
+	return (copyout(&ats, uap->tp, sizeof(ats)));
 }
 
 #ifndef _SYS_SYSPROTO_H_
@@ -192,9 +192,9 @@
 #endif
 	if ((error = suser(td)) != 0)
 		return (error);
-	if (SCARG(uap, clock_id) != CLOCK_REALTIME)
+	if (uap->clock_id != CLOCK_REALTIME)
 		return (EINVAL);
-	if ((error = copyin(SCARG(uap, tp), &ats, sizeof(ats))) != 0)
+	if ((error = copyin(uap->tp, &ats, sizeof(ats))) != 0)
 		return (error);
 	if (ats.tv_nsec < 0 || ats.tv_nsec >= 1000000000)
 		return (EINVAL);
@@ -217,10 +217,10 @@
 	struct timespec ts;
 	int error;
 
-	if (SCARG(uap, clock_id) != CLOCK_REALTIME)
+	if (uap->clock_id != CLOCK_REALTIME)
 		return (EINVAL);
 	error = 0;
-	if (SCARG(uap, tp)) {
+	if (uap->tp) {
 		ts.tv_sec = 0;
 		/*
 		 * Round up the result of the division cheaply by adding 1.
@@ -228,7 +228,7 @@
 		 * would give 0.  Perfect rounding is unimportant.
 		 */
 		ts.tv_nsec = 1000000000 / tc_getfrequency() + 1;
-		error = copyout(&ts, SCARG(uap, tp), sizeof(ts));
+		error = copyout(&ts, uap->tp, sizeof(ts));
 	}
 	return (error);
 }
@@ -289,23 +289,23 @@
 	struct timespec rmt, rqt;
 	int error;
 
-	error = copyin(SCARG(uap, rqtp), &rqt, sizeof(rqt));
+	error = copyin(uap->rqtp, &rqt, sizeof(rqt));
 	if (error)
 		return (error);
 
 	mtx_lock(&Giant);
-	if (SCARG(uap, rmtp)) {
-		if (!useracc((caddr_t)SCARG(uap, rmtp), sizeof(rmt), 
+	if (uap->rmtp) {
+		if (!useracc((caddr_t)uap->rmtp, sizeof(rmt), 
 		    VM_PROT_WRITE)) {
 			error = EFAULT;
 			goto done2;
 		}
 	}
 	error = nanosleep1(td, &rqt, &rmt);
-	if (error && SCARG(uap, rmtp)) {
+	if (error && uap->rmtp) {
 		int error2;
 
-		error2 = copyout(&rmt, SCARG(uap, rmtp), sizeof(rmt));
+		error2 = copyout(&rmt, uap->rmtp, sizeof(rmt));
 		if (error2)	/* XXX shouldn't happen, did useracc() above */
 			error = error2;
 	}
Index: kern/sys_generic.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/sys_generic.c,v
retrieving revision 1.115
diff -u -r1.115 sys_generic.c
--- kern/sys_generic.c	28 Sep 2002 17:14:55 -0000	1.115
+++ kern/sys_generic.c	12 Dec 2002 03:15:27 -0000
@@ -951,7 +951,7 @@
 	u_int ncoll, nfds;
 	size_t ni;
 
-	nfds = SCARG(uap, nfds);
+	nfds = uap->nfds;
 
 	mtx_lock(&Giant);
 	/*
@@ -971,12 +971,12 @@
 		bits = malloc(ni, M_TEMP, M_WAITOK);
 	else
 		bits = smallbits;
-	error = copyin(SCARG(uap, fds), bits, ni);
+	error = copyin(uap->fds, bits, ni);
 	if (error)
 		goto done_nosellock;
-	if (SCARG(uap, timeout) != INFTIM) {
-		atv.tv_sec = SCARG(uap, timeout) / 1000;
-		atv.tv_usec = (SCARG(uap, timeout) % 1000) * 1000;
+	if (uap->timeout != INFTIM) {
+		atv.tv_sec = uap->timeout / 1000;
+		atv.tv_usec = (uap->timeout % 1000) * 1000;
 		if (itimerfix(&atv)) {
 			error = EINVAL;
 			goto done_nosellock;
@@ -1044,7 +1044,7 @@
 	if (error == EWOULDBLOCK)
 		error = 0;
 	if (error == 0) {
-		error = copyout(bits, SCARG(uap, fds), ni);
+		error = copyout(bits, uap->fds, ni);
 		if (error)
 			goto out;
 	}
Index: kern/vfs_mount.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/vfs_mount.c,v
retrieving revision 1.90
diff -u -r1.90 vfs_mount.c
--- kern/vfs_mount.c	7 Nov 2002 21:15:02 -0000	1.90
+++ kern/vfs_mount.c	12 Dec 2002 03:15:30 -0000
@@ -323,7 +323,7 @@
 	int error;
 	u_int iovlen, iovcnt;
 
-	iovcnt = SCARG(uap, iovcnt);
+	iovcnt = uap->iovcnt;
 	iovlen = iovcnt * sizeof (struct iovec);
 	/*
 	 * Check that we have an even number of iovec's
@@ -352,7 +352,7 @@
 		}
 		iov++;
 	}
-	error = vfs_nmount(td, SCARG(uap, flags), &auio);
+	error = vfs_nmount(td, uap->flags, &auio);
 finish:
 	if (needfree != NULL)
 		free(needfree, M_TEMP);
@@ -811,12 +811,12 @@
 	 * vfs_mount() actually takes a kernel string for `type' and
 	 * `path' now, so extract them.
 	 */
-	error = copyinstr(SCARG(uap, type), fstype, MFSNAMELEN, NULL);
+	error = copyinstr(uap->type, fstype, MFSNAMELEN, NULL);
 	if (error == 0)
-		error = copyinstr(SCARG(uap, path), fspath, MNAMELEN, NULL);
+		error = copyinstr(uap->path, fspath, MNAMELEN, NULL);
 	if (error == 0)
-		error = vfs_mount(td, fstype, fspath, SCARG(uap, flags),
-		    SCARG(uap, data));
+		error = vfs_mount(td, fstype, fspath, uap->flags,
+		    uap->data);
 	free(fstype, M_TEMP);
 	free(fspath, M_TEMP);
 	return (error);
@@ -1199,7 +1199,7 @@
 	struct nameidata nd;
 
 	NDINIT(&nd, LOOKUP, FOLLOW | LOCKLEAF, UIO_USERSPACE,
-	    SCARG(uap, path), td);
+	    uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	vp = nd.ni_vp;
@@ -1234,7 +1234,7 @@
 		return (EINVAL);
 	}
 	vput(vp);
-	return (dounmount(mp, SCARG(uap, flags), td));
+	return (dounmount(mp, uap->flags, td));
 }
 
 /*
Index: kern/vfs_syscalls.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/vfs_syscalls.c,v
retrieving revision 1.297
diff -u -r1.297 vfs_syscalls.c
--- kern/vfs_syscalls.c	27 Oct 2002 23:23:51 -0000	1.297
+++ kern/vfs_syscalls.c	12 Dec 2002 03:15:30 -0000
@@ -191,7 +191,7 @@
 
 	if (jailed(td->td_ucred) && !prison_quotas)
 		return (EPERM);
-	NDINIT(&nd, LOOKUP, FOLLOW, UIO_USERSPACE, SCARG(uap, path), td);
+	NDINIT(&nd, LOOKUP, FOLLOW, UIO_USERSPACE, uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	NDFREE(&nd, NDF_ONLY_PNBUF);
@@ -199,8 +199,8 @@
 	vrele(nd.ni_vp);
 	if (error)
 		return (error);
-	error = VFS_QUOTACTL(mp, SCARG(uap, cmd), SCARG(uap, uid),
-	    SCARG(uap, arg), td);
+	error = VFS_QUOTACTL(mp, uap->cmd, uap->uid,
+	    uap->arg, td);
 	vn_finished_write(mp);
 	return (error);
 }
@@ -229,7 +229,7 @@
 	struct nameidata nd;
 	struct statfs sb;
 
-	NDINIT(&nd, LOOKUP, FOLLOW, UIO_USERSPACE, SCARG(uap, path), td);
+	NDINIT(&nd, LOOKUP, FOLLOW, UIO_USERSPACE, uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	mp = nd.ni_vp->v_mount;
@@ -250,7 +250,7 @@
 		sb.f_fsid.val[0] = sb.f_fsid.val[1] = 0;
 		sp = &sb;
 	}
-	return (copyout(sp, SCARG(uap, buf), sizeof(*sp)));
+	return (copyout(sp, uap->buf, sizeof(*sp)));
 }
 
 /*
@@ -277,7 +277,7 @@
 	int error;
 	struct statfs sb;
 
-	if ((error = getvnode(td->td_proc->p_fd, SCARG(uap, fd), &fp)) != 0)
+	if ((error = getvnode(td->td_proc->p_fd, uap->fd, &fp)) != 0)
 		return (error);
 	mp = ((struct vnode *)fp->f_data)->v_mount;
 	fdrop(fp, td);
@@ -298,7 +298,7 @@
 		sb.f_fsid.val[0] = sb.f_fsid.val[1] = 0;
 		sp = &sb;
 	}
-	return (copyout(sp, SCARG(uap, buf), sizeof(*sp)));
+	return (copyout(sp, uap->buf, sizeof(*sp)));
 }
 
 /*
@@ -325,8 +325,8 @@
 	caddr_t sfsp;
 	long count, maxcount, error;
 
-	maxcount = SCARG(uap, bufsize) / sizeof(struct statfs);
-	sfsp = (caddr_t)SCARG(uap, buf);
+	maxcount = uap->bufsize / sizeof(struct statfs);
+	sfsp = (caddr_t)uap->buf;
 	count = 0;
 	mtx_lock(&mountlist_mtx);
 	for (mp = TAILQ_FIRST(&mountlist); mp != NULL; mp = nmp) {
@@ -347,8 +347,8 @@
 			 * refresh the fsstat cache. MNT_NOWAIT or MNT_LAZY
 			 * overrides MNT_WAIT.
 			 */
-			if (((SCARG(uap, flags) & (MNT_LAZY|MNT_NOWAIT)) == 0 ||
-			    (SCARG(uap, flags) & MNT_WAIT)) &&
+			if (((uap->flags & (MNT_LAZY|MNT_NOWAIT)) == 0 ||
+			    (uap->flags & MNT_WAIT)) &&
 			    (error = VFS_STATFS(mp, sp, td))) {
 				mtx_lock(&mountlist_mtx);
 				nmp = TAILQ_NEXT(mp, mnt_list);
@@ -398,7 +398,7 @@
 	struct file *fp;
 	int error;
 
-	if ((error = getvnode(fdp, SCARG(uap, fd), &fp)) != 0)
+	if ((error = getvnode(fdp, uap->fd, &fp)) != 0)
 		return (error);
 	vp = (struct vnode *)fp->f_data;
 	VREF(vp);
@@ -539,7 +539,7 @@
 	if (error)
 		return (error);
 	NDINIT(&nd, LOOKUP, FOLLOW | LOCKLEAF, UIO_USERSPACE,
-	    SCARG(uap, path), td);
+	    uap->path, td);
 	mtx_lock(&Giant);
 	if ((error = change_dir(&nd, td)) != 0)
 		goto error;
@@ -809,9 +809,9 @@
 		syscallarg(int) mode;
 	} */ nuap;
 
-	SCARG(&nuap, path) = SCARG(uap, path);
-	SCARG(&nuap, mode) = SCARG(uap, mode);
-	SCARG(&nuap, flags) = O_WRONLY | O_CREAT | O_TRUNC;
+	nuap.path = uap->path;
+	nuap.mode = uap->mode;
+	nuap.flags = O_WRONLY | O_CREAT | O_TRUNC;
 	return (open(td, &nuap));
 }
 #endif /* COMPAT_43 */
@@ -1176,7 +1176,7 @@
 restart:
 	bwillwrite();
 	NDINIT(&nd, DELETE, LOCKPARENT|DOWHITEOUT, UIO_USERSPACE,
-	    SCARG(uap, path), td);
+	    uap->path, td);
 	error = namei(&nd);
 	if (error)
 		return (error);
@@ -1222,7 +1222,7 @@
 	} */ *uap;
 {
 
-	return (kern_unlink(td, SCARG(uap, path), UIO_USERSPACE));
+	return (kern_unlink(td, uap->path, UIO_USERSPACE));
 }
 
 int
@@ -1323,8 +1323,8 @@
 	}
 	vp = (struct vnode *)fp->f_data;
 	noneg = (vp->v_type != VCHR);
-	offset = SCARG(uap, offset);
-	switch (SCARG(uap, whence)) {
+	offset = uap->offset;
+	switch (uap->whence) {
 	case L_INCR:
 		if (noneg &&
 		    (fp->f_offset < 0 ||
@@ -1386,9 +1386,9 @@
 	} */ nuap;
 	int error;
 
-	SCARG(&nuap, fd) = SCARG(uap, fd);
-	SCARG(&nuap, offset) = SCARG(uap, offset);
-	SCARG(&nuap, whence) = SCARG(uap, whence);
+	nuap.fd = uap->fd;
+	nuap.offset = uap->offset;
+	nuap.whence = uap->whence;
 	error = lseek(td, &nuap);
 	return (error);
 }
@@ -1506,12 +1506,12 @@
 	int error;
 
 	NDINIT(&nd, LOOKUP, FOLLOW | LOCKLEAF | NOOBJ, UIO_USERSPACE,
-	    SCARG(uap, path), td);
+	    uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	vp = nd.ni_vp;
 
-	error = vn_access(vp, SCARG(uap, flags), td->td_ucred, td);
+	error = vn_access(vp, uap->flags, td->td_ucred, td);
 	NDFREE(&nd, NDF_ONLY_PNBUF);
 	vput(vp);
 	return (error);
@@ -1542,7 +1542,7 @@
 	struct nameidata nd;
 
 	NDINIT(&nd, LOOKUP, FOLLOW | LOCKLEAF | NOOBJ, UIO_USERSPACE,
-	    SCARG(uap, path), td);
+	    uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	NDFREE(&nd, NDF_ONLY_PNBUF);
@@ -1551,7 +1551,7 @@
 	if (error)
 		return (error);
 	cvtstat(&sb, &osb);
-	error = copyout(&osb, SCARG(uap, ub), sizeof (osb));
+	error = copyout(&osb, uap->ub, sizeof (osb));
 	return (error);
 }
 
@@ -1580,7 +1580,7 @@
 	struct nameidata nd;
 
 	NDINIT(&nd, LOOKUP, NOFOLLOW | LOCKLEAF | NOOBJ, UIO_USERSPACE,
-	    SCARG(uap, path), td);
+	    uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	vp = nd.ni_vp;
@@ -1590,7 +1590,7 @@
 	if (error)
 		return (error);
 	cvtstat(&sb, &osb);
-	error = copyout(&osb, SCARG(uap, ub), sizeof (osb));
+	error = copyout(&osb, uap->ub, sizeof (osb));
 	return (error);
 }
 
@@ -1648,10 +1648,10 @@
 
 #ifdef LOOKUP_SHARED
 	NDINIT(&nd, LOOKUP, FOLLOW | LOCKSHARED | LOCKLEAF | NOOBJ,
-	    UIO_USERSPACE, SCARG(uap, path), td);
+	    UIO_USERSPACE, uap->path, td);
 #else
 	NDINIT(&nd, LOOKUP, FOLLOW | LOCKLEAF | NOOBJ, UIO_USERSPACE,
-	    SCARG(uap, path), td);
+	    uap->path, td);
 #endif
 	if ((error = namei(&nd)) != 0)
 		return (error);
@@ -1660,7 +1660,7 @@
 	vput(nd.ni_vp);
 	if (error)
 		return (error);
-	error = copyout(&sb, SCARG(uap, ub), sizeof (sb));
+	error = copyout(&sb, uap->ub, sizeof (sb));
 	return (error);
 }
 
@@ -1688,7 +1688,7 @@
 	struct nameidata nd;
 
 	NDINIT(&nd, LOOKUP, NOFOLLOW | LOCKLEAF | NOOBJ, UIO_USERSPACE,
-	    SCARG(uap, path), td);
+	    uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	vp = nd.ni_vp;
@@ -1697,7 +1697,7 @@
 	vput(vp);
 	if (error)
 		return (error);
-	error = copyout(&sb, SCARG(uap, ub), sizeof (sb));
+	error = copyout(&sb, uap->ub, sizeof (sb));
 	return (error);
 }
 
@@ -1753,7 +1753,7 @@
 	struct nameidata nd;
 
 	NDINIT(&nd, LOOKUP, FOLLOW | LOCKLEAF | NOOBJ, UIO_USERSPACE,
-	    SCARG(uap, path), td);
+	    uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	NDFREE(&nd, NDF_ONLY_PNBUF);
@@ -1762,7 +1762,7 @@
 	if (error)
 		return (error);
 	cvtnstat(&sb, &nsb);
-	error = copyout(&nsb, SCARG(uap, ub), sizeof (nsb));
+	error = copyout(&nsb, uap->ub, sizeof (nsb));
 	return (error);
 }
 
@@ -1791,7 +1791,7 @@
 	struct nameidata nd;
 
 	NDINIT(&nd, LOOKUP, NOFOLLOW | LOCKLEAF | NOOBJ, UIO_USERSPACE,
-	    SCARG(uap, path), td);
+	    uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	vp = nd.ni_vp;
@@ -1801,7 +1801,7 @@
 	if (error)
 		return (error);
 	cvtnstat(&sb, &nsb);
-	error = copyout(&nsb, SCARG(uap, ub), sizeof (nsb));
+	error = copyout(&nsb, uap->ub, sizeof (nsb));
 	return (error);
 }
 
@@ -1827,7 +1827,7 @@
 	struct nameidata nd;
 
 	NDINIT(&nd, LOOKUP, FOLLOW | LOCKLEAF | NOOBJ, UIO_USERSPACE,
-	    SCARG(uap, path), td);
+	    uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	NDFREE(&nd, NDF_ONLY_PNBUF);
@@ -1972,11 +1972,11 @@
 	int error;
 	struct nameidata nd;
 
-	NDINIT(&nd, LOOKUP, FOLLOW, UIO_USERSPACE, SCARG(uap, path), td);
+	NDINIT(&nd, LOOKUP, FOLLOW, UIO_USERSPACE, uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	NDFREE(&nd, NDF_ONLY_PNBUF);
-	error = setfflags(td, nd.ni_vp, SCARG(uap, flags));
+	error = setfflags(td, nd.ni_vp, uap->flags);
 	vrele(nd.ni_vp);
 	return error;
 }
@@ -1995,11 +1995,11 @@
 	int error;
 	struct nameidata nd;
 
-	NDINIT(&nd, LOOKUP, NOFOLLOW, UIO_USERSPACE, SCARG(uap, path), td);
+	NDINIT(&nd, LOOKUP, NOFOLLOW, UIO_USERSPACE, uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	NDFREE(&nd, NDF_ONLY_PNBUF);
-	error = setfflags(td, nd.ni_vp, SCARG(uap, flags));
+	error = setfflags(td, nd.ni_vp, uap->flags);
 	vrele(nd.ni_vp);
 	return error;
 }
@@ -2025,9 +2025,9 @@
 	struct file *fp;
 	int error;
 
-	if ((error = getvnode(td->td_proc->p_fd, SCARG(uap, fd), &fp)) != 0)
+	if ((error = getvnode(td->td_proc->p_fd, uap->fd, &fp)) != 0)
 		return (error);
-	error = setfflags(td, (struct vnode *) fp->f_data, SCARG(uap, flags));
+	error = setfflags(td, (struct vnode *) fp->f_data, uap->flags);
 	fdrop(fp, td);
 	return (error);
 }
@@ -2119,11 +2119,11 @@
 	int error;
 	struct nameidata nd;
 
-	NDINIT(&nd, LOOKUP, NOFOLLOW, UIO_USERSPACE, SCARG(uap, path), td);
+	NDINIT(&nd, LOOKUP, NOFOLLOW, UIO_USERSPACE, uap->path, td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
 	NDFREE(&nd, NDF_ONLY_PNBUF);
-	error = setfmode(td, nd.ni_vp, SCARG(uap, mode));
+	error = setfmode(td, nd.ni_vp, uap->mode);
 	vrele(nd.ni_vp);
 	return error;
 }
@@ -2150,10 +2150,10 @@
 	struct vnode *vp;
 	int error;
 
-	if ((error = getvnode(td->td_proc->p_fd, SCARG(uap, fd), &fp)) != 0)
+	if ((error = getvnode(td->td_proc->p_fd, uap->fd, &fp)) != 0)
 		return (error);
 	vp = (struct vnode *)fp->f_data;
-	error = setfmode(td, (struct vnode *)fp->f_data, SCARG(uap, mode));
+	error = setfmode(td, (struct vnode *)fp->f_data, uap->mode);
 	fdrop(fp, td);
 	return (error);
 }
@@ -2294,11 +2294,11 @@
 	struct vnode *vp;
 	int error;
 
-	if ((error = getvnode(td->td_proc->p_fd, SCARG(uap, fd), &fp)) != 0)
+	if ((error = getvnode(td->td_proc->p_fd, uap->fd, &fp)) != 0)
 		return (error);
 	vp = (struct vnode *)fp->f_data;
 	error = setfown(td, (struct vnode *)fp->f_data,
-		SCARG(uap, uid), SCARG(uap, gid));
+		uap->uid, uap->gid);
 	fdrop(fp, td);
 	return (error);
 }
@@ -2592,7 +2592,7 @@
 
 	if (uap->length < 0)
 		return(EINVAL);
-	if ((error = getvnode(td->td_proc->p_fd, SCARG(uap, fd), &fp)) != 0)
+	if ((error = getvnode(td->td_proc->p_fd, uap->fd, &fp)) != 0)
 		return (error);
 	if ((fp->f_flag & FWRITE) == 0) {
 		fdrop(fp, td);
@@ -2614,7 +2614,7 @@
 #endif
 	else if ((error = vn_writechk(vp)) == 0) {
 		VATTR_NULL(&vattr);
-		vattr.va_size = SCARG(uap, length);
+		vattr.va_size = uap->length;
 		error = VOP_SETATTR(vp, &vattr, fp->f_cred, td);
 	}
 	VOP_UNLOCK(vp, 0, td);
@@ -2648,8 +2648,8 @@
 		syscallarg(off_t) length;
 	} */ nuap;
 
-	SCARG(&nuap, path) = SCARG(uap, path);
-	SCARG(&nuap, length) = SCARG(uap, length);
+	nuap.path = uap->path;
+	nuap.length = uap->length;
 	return (truncate(td, &nuap));
 }
 
@@ -2677,8 +2677,8 @@
 		syscallarg(off_t) length;
 	} */ nuap;
 
-	SCARG(&nuap, fd) = SCARG(uap, fd);
-	SCARG(&nuap, length) = SCARG(uap, length);
+	nuap.fd = uap->fd;
+	nuap.length = uap->length;
 	return (ftruncate(td, &nuap));
 }
 #endif /* COMPAT_43 || COMPAT_SUNOS */
@@ -2707,7 +2707,7 @@
 
 	GIANT_REQUIRED;
 
-	if ((error = getvnode(td->td_proc->p_fd, SCARG(uap, fd), &fp)) != 0)
+	if ((error = getvnode(td->td_proc->p_fd, uap->fd, &fp)) != 0)
 		return (error);
 	vp = (struct vnode *)fp->f_data;
 	if ((error = vn_start_write(vp, &mp, V_WAIT | PCATCH)) != 0) {
@@ -3062,9 +3062,9 @@
 	long loff;
 
 	/* XXX arbitrary sanity limit on `count'. */
-	if (SCARG(uap, count) > 64 * 1024)
+	if (uap->count > 64 * 1024)
 		return (EINVAL);
-	if ((error = getvnode(td->td_proc->p_fd, SCARG(uap, fd), &fp)) != 0)
+	if ((error = getvnode(td->td_proc->p_fd, uap->fd, &fp)) != 0)
 		return (error);
 	if ((fp->f_flag & FREAD) == 0) {
 		fdrop(fp, td);
@@ -3076,14 +3076,14 @@
 		fdrop(fp, td);
 		return (EINVAL);
 	}
-	aiov.iov_base = SCARG(uap, buf);
-	aiov.iov_len = SCARG(uap, count);
+	aiov.iov_base = uap->buf;
+	aiov.iov_len = uap->count;
 	auio.uio_iov = &aiov;
 	auio.uio_iovcnt = 1;
 	auio.uio_rw = UIO_READ;
 	auio.uio_segflg = UIO_USERSPACE;
 	auio.uio_td = td;
-	auio.uio_resid = SCARG(uap, count);
+	auio.uio_resid = uap->count;
 	vn_lock(vp, LK_EXCLUSIVE | LK_RETRY, td);
 	loff = auio.uio_offset = fp->f_offset;
 #ifdef MAC
@@ -3105,14 +3105,14 @@
 		kuio = auio;
 		kuio.uio_iov = &kiov;
 		kuio.uio_segflg = UIO_SYSSPACE;
-		kiov.iov_len = SCARG(uap, count);
-		MALLOC(dirbuf, caddr_t, SCARG(uap, count), M_TEMP, M_WAITOK);
+		kiov.iov_len = uap->count;
+		MALLOC(dirbuf, caddr_t, uap->count, M_TEMP, M_WAITOK);
 		kiov.iov_base = dirbuf;
 		error = VOP_READDIR(vp, &kuio, fp->f_cred, &eofflag,
 			    NULL, NULL);
 		fp->f_offset = kuio.uio_offset;
 		if (error == 0) {
-			readcnt = SCARG(uap, count) - kuio.uio_resid;
+			readcnt = uap->count - kuio.uio_resid;
 			edp = (struct dirent *)&dirbuf[readcnt];
 			for (dp = (struct dirent *)dirbuf; dp < edp; ) {
 #				if (BYTE_ORDER == LITTLE_ENDIAN)
@@ -3150,7 +3150,7 @@
 		fdrop(fp, td);
 		return (error);
 	}
-	if (SCARG(uap, count) == auio.uio_resid) {
+	if (uap->count == auio.uio_resid) {
 		if (union_dircheckp) {
 			error = union_dircheckp(td, &vp, fp);
 			if (error == -1)
@@ -3177,9 +3177,9 @@
 		}
 		VOP_UNLOCK(vp, 0, td);
 	}
-	error = copyout(&loff, SCARG(uap, basep), sizeof(long));
+	error = copyout(&loff, uap->basep, sizeof(long));
 	fdrop(fp, td);
-	td->td_retval[0] = SCARG(uap, count) - auio.uio_resid;
+	td->td_retval[0] = uap->count - auio.uio_resid;
 	return (error);
 }
 #endif /* COMPAT_43 */
@@ -3212,7 +3212,7 @@
 	long loff;
 	int error, eofflag;
 
-	if ((error = getvnode(td->td_proc->p_fd, SCARG(uap, fd), &fp)) != 0)
+	if ((error = getvnode(td->td_proc->p_fd, uap->fd, &fp)) != 0)
 		return (error);
 	if ((fp->f_flag & FREAD) == 0) {
 		fdrop(fp, td);
@@ -3224,14 +3224,14 @@
 		fdrop(fp, td);
 		return (EINVAL);
 	}
-	aiov.iov_base = SCARG(uap, buf);
-	aiov.iov_len = SCARG(uap, count);
+	aiov.iov_base = uap->buf;
+	aiov.iov_len = uap->count;
 	auio.uio_iov = &aiov;
 	auio.uio_iovcnt = 1;
 	auio.uio_rw = UIO_READ;
 	auio.uio_segflg = UIO_USERSPACE;
 	auio.uio_td = td;
-	auio.uio_resid = SCARG(uap, count);
+	auio.uio_resid = uap->count;
 	/* vn_lock(vp, LK_SHARED | LK_RETRY, td); */
 	vn_lock(vp, LK_EXCLUSIVE | LK_RETRY, td);
 	loff = auio.uio_offset = fp->f_offset;
@@ -3247,7 +3247,7 @@
 		fdrop(fp, td);
 		return (error);
 	}
-	if (SCARG(uap, count) == auio.uio_resid) {
+	if (uap->count == auio.uio_resid) {
 		if (union_dircheckp) {
 			error = union_dircheckp(td, &vp, fp);
 			if (error == -1)
@@ -3274,10 +3274,10 @@
 		}
 		VOP_UNLOCK(vp, 0, td);
 	}
-	if (SCARG(uap, basep) != NULL) {
-		error = copyout(&loff, SCARG(uap, basep), sizeof(long));
+	if (uap->basep != NULL) {
+		error = copyout(&loff, uap->basep, sizeof(long));
 	}
-	td->td_retval[0] = SCARG(uap, count) - auio.uio_resid;
+	td->td_retval[0] = uap->count - auio.uio_resid;
 	fdrop(fp, td);
 	return (error);
 }
@@ -3327,7 +3327,7 @@
 	FILEDESC_LOCK(td->td_proc->p_fd);
 	fdp = td->td_proc->p_fd;
 	td->td_retval[0] = fdp->fd_cmask;
-	fdp->fd_cmask = SCARG(uap, newmask) & ALLPERMS;
+	fdp->fd_cmask = uap->newmask & ALLPERMS;
 	FILEDESC_UNLOCK(td->td_proc->p_fd);
 	return (0);
 }
@@ -3355,7 +3355,7 @@
 	int error;
 	struct nameidata nd;
 
-	NDINIT(&nd, LOOKUP, FOLLOW | LOCKLEAF, UIO_USERSPACE, SCARG(uap, path),
+	NDINIT(&nd, LOOKUP, FOLLOW | LOCKLEAF, UIO_USERSPACE, uap->path,
 	    td);
 	if ((error = namei(&nd)) != 0)
 		return (error);
@@ -3508,11 +3508,11 @@
 	if (error)
 		return (error);
 
-	fmode = FFLAGS(SCARG(uap, flags));
+	fmode = FFLAGS(uap->flags);
 	/* why not allow a non-read/write open for our lockd? */
 	if (((fmode & (FREAD | FWRITE)) == 0) || (fmode & O_CREAT))
 		return (EINVAL);
-	error = copyin(SCARG(uap,u_fhp), &fhp, sizeof(fhp));
+	error = copyin(uap->u_fhp, &fhp, sizeof(fhp));
 	if (error)
 		return(error);
 	/* find the mount point */
@@ -3703,7 +3703,7 @@
 	if (error)
 		return (error);
 	
-	error = copyin(SCARG(uap, u_fhp), &fh, sizeof(fhandle_t));
+	error = copyin(uap->u_fhp, &fh, sizeof(fhandle_t));
 	if (error)
 		return (error);
 
@@ -3715,7 +3715,7 @@
 	vput(vp);
 	if (error)
 		return (error);
-	error = copyout(&sb, SCARG(uap, sb), sizeof(sb));
+	error = copyout(&sb, uap->sb, sizeof(sb));
 	return (error);
 }
 
@@ -3750,7 +3750,7 @@
 	if (error)
 		return (error);
 
-	if ((error = copyin(SCARG(uap, u_fhp), &fh, sizeof(fhandle_t))) != 0)
+	if ((error = copyin(uap->u_fhp, &fh, sizeof(fhandle_t))) != 0)
 		return (error);
 
 	if ((mp = vfs_getvfs(&fh.fh_fsid)) == NULL)
@@ -3773,7 +3773,7 @@
 		sb.f_fsid.val[0] = sb.f_fsid.val[1] = 0;
 		sp = &sb;
 	}
-	return (copyout(sp, SCARG(uap, buf), sizeof(*sp)));
+	return (copyout(sp, uap->buf, sizeof(*sp)));
 }
 
 /*
Index: sys/sysent.h
===================================================================
RCS file: /home/ncvs/src/sys/sys/sysent.h,v
retrieving revision 1.39
diff -u -r1.39 sysent.h
--- sys/sysent.h	1 Sep 2002 21:41:24 -0000	1.39
+++ sys/sysent.h	12 Dec 2002 03:14:38 -0000
@@ -48,9 +48,6 @@
 #define SYF_ARGMASK	0x0000FFFF
 #define SYF_MPSAFE	0x00010000
 
-#define SCARG(p,k)	((p)->k)	/* get arg from args pointer */
-  /* placeholder till we integrate rest of lite2 syscallargs changes XXX */
-
 struct image_params;
 struct __sigset;
 struct trapframe;
